Subject: Re: Casting Supplies

From: [email-masked] (Barry Workman)
Date: Thu, 12 Jan 1995 04:05:34 GMT

[email-masked] (GAshmore) writes:

>Where can I get supplies like parting compounds, fluxes, silicon etc for
>casting small amounts of brass, AL & CI?  (I realy don't need 100# of
>silicon.)<G>

>Glenn Ashmore (the lone Mid-GA steamer)

Pyramid Foundry Supply among others.  They advertise in Live Steam,
HSM, and PIM among other publications.  If they don't have what you
need, let me know, there's a supplier here in the LA area that will
sell small quantities -- they even sell Petrobond in 50 lb lots...
-- 
    - Barry Workman